package com.liquidnet.service.stone.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 积分日志表
 * </p>
 *
 * @author liquidnet
 * @since 2021-10-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TempScore implements Serializable ,Cloneable{

    private static final long serialVersionUID = 1L;

    private String uid;

    /**
     * id
     */
    private String mobile;

    /**
     * 用户id
     */
    private BigDecimal priceCost;


    private static final TempScore obj = new TempScore();
    public static TempScore getNew() {
        try {
            return (TempScore) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new TempScore();
    }
}
